You are not logged in.

#1 2011-09-26 10:46:04

pekmop1024
Member
From: Kiev/Feodosia
Registered: 2010-04-21
Posts: 125
Website

VMWare Workstation 8 did not see any USB devices, only BT dongle

No errors reported, just no devices available. With 7.1.4 there was no problems, Virtualbox works well too.
Is it my installation's personal bug or known issue?

System is Arch x86_64 on Asus Rampage II motherboard (Intel X58/ICH10R).

Last edited by pekmop1024 (2011-09-26 10:46:31)


ArchLinux x86_64 (desktop): i7 970@4.3GHz - 24GB - GTX680 DirectCU II TOP - Crucial M4 128GB - 3x2TB Seagate - Creative X-Fi Platinum - Zalman ZM1000HP
ArchLinux i686 PAE (passive cooled): i3 540 - 4GB - GT610 Silent - Crucial M4 64GB - Creative X-Fi XtremeMusic
ArchLinux i686 (HTPC): Core 2 Duo E6400 - 2GB - GT520 Silent - 80GB Seagate

Offline

#2 2011-09-26 18:55:11

kasl33
Member
Registered: 2011-09-09
Posts: 13

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Same issue here. That was a big PITA yesterday when I needed USB in my Win7 VM.

After that, I uninstalled version 8 and reinstalled 7.1.4 and the problem stuck - probably because I didn't remove *all* of the configuration files or links throughout the system.

I do believe it is an issue with VMware 8.0 - I only used vmplayer to discover it - not workstation (but it is the full workstation install - i just don't have the serial key for 8).

Last edited by kasl33 (2011-09-26 18:56:24)

Offline

#3 2011-10-06 02:27:24

BxS
Member
From: Portugal
Registered: 2009-04-05
Posts: 24

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

VMWare 8 work very well in my system, even Unity works.

For USB first:

sudo rc.d start vmware-USBArbitrator

then:

sudo rc.d start vmware

Last edited by BxS (2011-10-06 02:28:34)

Offline

#4 2011-10-13 17:43:11

frrilay
Member
Registered: 2011-10-13
Posts: 3

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Hello, I have the same problem, could you be more specific please? I don't have any vmware-usbarbitrator in my rc.d folder...
Thanks!

Offline

#5 2011-10-13 19:55:27

BxS
Member
From: Portugal
Registered: 2009-04-05
Posts: 24

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

You probably had some problem with your installation, I have this:

$ ls -l /etc/rc.d/vmware*
lrwxrwxrwx 1 root root   18 Sep 18 22:09 /etc/rc.d/vmware -> /etc/init.d/vmware
-rwxr-xr-x 1 root root 2653 Sep 18 22:09 /etc/rc.d/vmware-USBArbitrator
lrwxrwxrwx 1 root root   37 Sep 18 22:09 /etc/rc.d/vmware-workstation-server -> /etc/init.d/vmware-workstation-server

But if you want, were is my [vmware-USBArbitrator]:

#!/usr/bin/env bash
#
# Copyright 1998-2010 VMware, Inc.  All rights reserved.
#
# This script manages the VMware USB Arbitrator service
#

# VMWARE_INIT_INFO

# Load bootstrapper info
. /etc/vmware/bootstrap

# This defines echo_success() and echo_failure() on RedHat
if [ -r "$INITSCRIPTDIR"'/functions' ]; then
   . "$INITSCRIPTDIR"'/functions'
fi

vmware_failed() {
  if [ "`type -t 'echo_failure' 2>/dev/null`" = 'function' ]; then
    echo_failure
  else
    echo -n "$rc_failed"
  fi
}

vmware_success() {
  if [ "`type -t 'echo_success' 2>/dev/null`" = 'function' ]; then
    echo_success
  else
    echo -n "$rc_done"
  fi                                                                                                         
}                                                                                                            
                                                                                                             
# Execute a macro                                                                                            
vmware_exec() {                                                                                              
  local msg="$1"  # IN                                                                                       
  local func="$2" # IN                                                                                       
  shift 2                                                                                                    
                                                                                                             
  # On Caldera 2.2, SIGHUP is sent to all our children when this script exits
  # I wanted to use shopt -u huponexit instead but their bash version
  # 1.14.7(1) is too old
  #
  # Ksh does not recognize the SIG prefix in front of a signal name
  if [ "$VMWARE_DEBUG" = 'yes' ]; then
    (trap '' HUP; "$func" "$@")
  else
    (trap '' HUP; "$func" "$@") >/dev/null 2>&1
  fi
  if [ "$?" -gt 0 ]; then
    vmware_failed
    echo
    return 1
  fi

  vmware_success
  echo
  return 0
}

# Start the virtual machine USB Arbitrator service
vmwareStartUSBArbitrator() {
    # The executable checks for already running instances, so it
    #  is safe to just run it.
    "$BINDIR"/vmware-usbarbitrator
}

# Stop the virtual machine USB Arbitrator service
vmwareStopUSBArbitrator() {
   # Find the running process
   # grep instead of pgrep...  Turns out to be more reliable.  pgrep
   #  would return extranneous results.
   pid=`pgrep -f "$BINDIR"/vmware-usbarbitrator`
   # If it is not running
   if [ $? -eq 0 ]; then
     # PID was found, stop it.
     kill $pid
     return 0
   else
     # No process found.
     return 0
   fi
}

vmwareService() {
   case "$1" in
      start)
         vmware_exec 'VMware USB Arbitrator' vmwareStartUSBArbitrator
         exitcode=$(($exitcode + $?))
         if [ "$exitcode" -gt 0 ]; then
            exit 1
         fi
         ;;
      stop)
         vmware_exec 'VMware USB Arbitrator' vmwareStopUSBArbitrator
         exitcode=$(($exitcode + $?))
         if [ "$exitcode" -gt 0 ]; then
            exit 1
         fi
         ;;
      restart)
         "$SCRIPTNAME" stop && "$SCRIPTNAME" start
         ;;
      *)
         echo "Usage: $BASENAME {start|stop|restart}"
         exit 1
   esac
}

SCRIPTNAME="$0"
BASENAME=`basename "$SCRIPTNAME"`

# Check permissions
if [ "`id -ur`" != '0' ]; then
   echo 'Error: you must be root.'
   echo
   exit 1
fi

vmwareService "$1"

exit 0

Copy it to your system and test, probably will solve your problem.

Offline

#6 2011-10-15 05:29:16

oiad
Member
Registered: 2010-03-02
Posts: 22

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Adding this file also fixed it for me in VMware 8,  Thank you!

Offline

#7 2011-10-15 08:47:19

frrilay
Member
Registered: 2011-10-13
Posts: 3

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Thank you! it perfectly works.
Have a nice day!

Offline

#8 2011-10-15 10:53:33

I am Gianluca
Member
From: London, UK
Registered: 2011-05-22
Posts: 195

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Hi all,
I'm using VMware Player 4. Following the BxS advice (thank you) I've added the file, changed its permission, starting the daemon script and VMware services. All has gone fine (except for the virtual ethernet service which failed, but I don't think this should be particularly correlated with my problem).
When I start the host system (Windows XP Pro) I can connect my Garmin Forerunner 205, but when I try to import the data that it contains in my workout logging software (Sporttracks 3.0.4274) it says me that it can't find any attached Garmin device.
I've just tried to reinstall the Garmin drivers for Windows, but it doesn't work sad
Thank you very much guys.


Laptop: Acer Aspire S3 | Linux Mint Cinnamon 64-bit

Offline

#9 2011-10-15 14:23:08

BxS
Member
From: Portugal
Registered: 2009-04-05
Posts: 24

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Ok, seems that most of the problems are the lack of vmware-USBArbitrator.

I installed vmware 8 when it came out and what I can say is that in my first attempt I also had lack of vmware-USBArbitrator, I know that I changed something and them installed it again and got the vmware-USBArbitrator, I'm not sure exacly what I did, it was some time ago and I don't remember, but the problem is with the installation, if I'm not wrong, the first attempt it warned me that I had to manually do some thing to get USB working.

Maybe in a new version I will pay more attention wink for now simple use the vmware-USBArbitrator that I posted big_smile

Last edited by BxS (2011-10-15 14:23:53)

Offline

#10 2012-02-27 14:51:08

firewalker
Member
From: Hellas (Greece).
Registered: 2006-06-05
Posts: 457

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Running vmware-usbarbitrator before  /etc/rc.d/vmware start solves the issue for me.

7.1.5 build-491717


Γίνε ρεαλιστής, μείνε ονειροπόλος ...

Offline

#11 2013-08-26 15:20:01

stan
Member
Registered: 2013-08-20
Posts: 8

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Hi.
I'm using VMware Player on latest Arch X86_64.
No way to get USB detection.
vmware-USBArbitrator, was missing in my system. So I just copied the above script it in /etc/init.d/
Even running it before /etc/init.d/vmware start doesn't solve the issue....some help?


edit: checking the script, maybe it's not updated with some directories....

Last edited by stan (2013-08-26 15:34:56)

Offline

#12 2013-08-26 18:17:54

stan
Member
Registered: 2013-08-20
Posts: 8

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

SOLVED following this thread

Offline

#13 2013-12-03 05:35:35

jocheem67
Member
Registered: 2009-11-09
Posts: 208

Re: VMWare Workstation 8 did not see any USB devices, only BT dongle

Here's a working systemd configuration with above elements >>

vmware-USBArbitrator.service >>

[Unit]
Description=vmware usb

[Service]
ExecStart=/etc/init.d/vmware-USBArbitrator start
ExecStop=/etc/init.d/vmware-USBArbitrator stop
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target

vmware.service >>

[Unit]
Description=VMware daemon
Requires=vmware-USBArbitrator.service
After=vmware-USBArbitrator.service

[Service]
ExecStart=/etc/init.d/vmware start
ExecStop=/etc/init.d/vmware stop
PIDFile=/var/lock/subsys/vmware
TimeoutSec=0
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target

I post it here, 'cause the vmware wiki refers to this thread.

Last edited by jocheem67 (2013-12-03 05:36:10)

Offline

Board footer

Powered by FluxBB